Ask Your Question
0

Installing nVidia drivers fails on Fedora 27

asked 2018-04-07 05:01:15 -0600

updated 2018-04-07 15:10:12 -0600

I am attempting to install the nVidia drivers for a Quadro FX 1700 on a clean install of Fedora 27 workstation.

The make install has a nice text-based GUI but unfortunately fails. I have installed a couple of identified dependencies, gcc and one of the elf libraries, and am now stuck with the following in /var/log/nvidia-installer.log:

I would insert the log here for readability in the question but, this MD implementation does not support the three back-tick method. Instead, Link to log.

The driver I downloaded in this one, the download link in above:

Linux x64 (AMD64/EM64T) Display Driver

Version: 340.106
Release Date: 2018.1.16
Operating System: Linux 64-bit
Language: English (US)
File Size: 66.75 MB

Why does this fail, what do I need to do please? Hi there! Please sign in help

EDIT: I found a guide that pointed to a whole list of dependencies including DKMS which opens a few new options in the install process. Unfortunately installing with DKMS only partly works, ending with an error about DKMS preparation not necessary for this kernel and making the system unbootable. I am currently trying to chroot into it. Log for install with DKMS is as follows:

I would insert the log here for readability in the question but, this MD implementation does not support the three back-tick method. Instead, Link to log.

edit retag flag offensive close merge delete

Comments

The driver version you are using may need to be patched for the kernel, can you use a more recent driver, and see if that solves the issue?

steveebey73742 gravatar imagesteveebey73742 ( 2018-04-07 08:44:23 -0600 )edit

How could I get a newer one? Release Date: 2018.1.16

Willtech gravatar imageWilltech ( 2018-04-07 13:34:31 -0600 )edit

2 Answers

Sort by ยป oldest newest most voted
0

answered 2018-04-08 05:10:49 -0600

ozeszty gravatar image

updated 2018-04-09 11:26:21 -0600

Use this guide https://rpmfusion.org/Howto/NVIDIA to get community maintained version of this driver instead. It's patched and updated and then delivered with the rest of system updates. This guide contains also information about e.g. CUDA support, video decoding and clean-up of manually installed driver, so make sure you read relevant parts.

If you use manually installed driver, sooner or later, kernel or driver update will require you to repeat entire procedure.


If nvidia's site directed you to 340.xxx driver then follow Legacy GeForce 8/9/200 section.

It'll be best if you go through entire previous guide's uninstall section first and restore nouveau. You need to remove old driver and get nouveau working again to avoid potential issues and have a working desktop environment for comfortable installation of new driver (which will disable nouveau automatically).

About wayland issues, this (and other issues) is the price that users and developers pay for nvidia's actions as dominating GPU maker. All we can do is vote with our wallets.

edit flag offensive delete link more

Comments

I presume that I will need to follow the Legacy GeForce 8/9/200 section for my card?

Willtech gravatar imageWilltech ( 2018-04-09 05:50:28 -0600 )edit

If I used the other guide first, do I need to manually remove the manual blacklisting?

Willtech gravatar imageWilltech ( 2018-04-09 05:50:37 -0600 )edit

AND, luckily I read the whole page first and noticed the section on Wayland.

Willtech gravatar imageWilltech ( 2018-04-09 06:12:15 -0600 )edit
2

answered 2018-04-07 14:18:23 -0600

fcomida gravatar image

It seems 340.106 need to be patched. Here's a link of a patched version download nvidia patched installer. I have no idea how trustworthy that source is.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2018-04-07 05:01:15 -0600

Seen: 816 times

Last updated: Apr 09